%define build_upx 0
%{?_with_upx: %{expand: %%global build_upx 1}}

%ifarch %ix86
%define enable_dynarec 1
%define enable_68k_asm 1
%else
%define enable_dynarec 0
%define enable_68k_asm 0
%endif
%{?_with_dynarec: %{expand: %%global enable_dynarec 1}}
%{?_without_dynarec: %{expand: %%global enable_dynarec 0}}
%{?_with_68k_asm: %{expand: %%global enable_68k_asm 1}}
%{?_without_68k_asm: %{expand: %%global enable_68k_asm 0}}

%define fversion 0.106

%define buildx11mame		1
%define enable_x11_gl_mame	1
%define enable_x11_fx_mame	0
%define buildSDLmame		1
%define buildsvgalibmame	0
%define buildsvgafxmame		0

%define buildx11mess		1
%define enable_x11_gl_mess	1
%define enable_x11_fx_mess	0
%define buildSDLmess		1
%define buildsvgalibmess	0
%define buildsvgafxmess		0

%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%if %mdkversion >= 200700
%define x11prefix		%{_prefix}
%else
%define x11prefix               %{_prefix}/X11R6
%endif

%define rel			4
%define distsuffix		plf
%define release			%mkrel %rel

%define name			xmame

# virtual package to enforce naming convention
#
Summary:	X-Mame Arcade Game Emulator
Name:		%{name}
Version:	%{fversion}
Release:	%{release}

Source:		http://x.mame.net/download/%name-%version.tar.bz2
Source1:	%{name}-16x16.png
Source2:	%{name}-32x32.png
Source3:	%{name}-48x48.png
Source4:	%{name}-rc-089.tar.bz2
Source5:	xmess-16x16.png
Source6:	xmess-32x32.png
Source7:	xmess-48x48.png

Source10:	http://www.mame.net/roms/polyplay.zip
Source11:	http://www.mame.net/roms/robby.zip
Source12:	http://www.mame.net/roms/gridlee.zip
Source13:	http://www.mame.net/roms/gridlee-sample.zip

Source20:	http://www.mameworld.net/highscore/uhsdat0105.zip
#note the included cheats are for 0.106
Source21:	http://cheat.retrogames.com/cheat.7z
Source22:       http://www.arcade-history.com/download/history1_06q.zip
Source23:	http://www.mameworld.net/mameinfo/update/Mameinfo0106.zip
#Source24:	Update106to106u1.zip
#Source25:	Update106u1to106u2.zip
#location of update zips:
#http://www.mameworld.net/mameinfo/update/update0<target-version>/Update.zip

#note the included catver.ini is for 0.105
Source40:	http://catver.com/catveren.zip
#for upx packages only, as its name implies:
Patch10:	xmame-0.56.1-upx.patch.bz2

# I have no idea what this one does and if it's still necessary
Patch12:	xmame-mamex.patch.bz2

License:	Freeware
#Actual (X)MAME license : http://x.mame.net/license.html
URL:		http://x.mame.net/
Group:		Emulators
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	esound-devel XFree86-devel zlib-devel dos2unix 
BuildRequires:	libusb-devel alsa-lib-devel
BuildRequires:  libarts-devel libSDL-devel unzip p7zip
BuildRequires:	libexpat-devel
%ifarch %ix86
BuildRequires:	nasm
%endif
%if %build_upx
BuildRequires:  upx
%endif

%description
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.

# xmame-tools
%package -n %{name}-tools
Summary: X-Mame Arcade Game Emulator compiled for x11
Group:         Emulators
Requires:      xmame >= %{fversion}

%description -n %{name}-tools
X-Mame/Mess the UNIX/X11 are the ports of Mame/MESS projects.
This package contains tools useful when need of creating, comparing, or 
upgrading roms or compressed hard disks (.chd) comes.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.

# xmame-base
%package -n %{name}-base
Summary: X-Mame Arcade Game Emulator compiled for x11
Group:         Emulators
Requires:      xmame >= %{fversion}

%description -n %{name}-base
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This package has the high scores, the mamedat, cheats.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.

# xmess-base
%package -n xmess-base
Summary: X-Mess Emulator compiled for x11
Group:         Emulators
Requires:      xmess >= %{fversion}

%description -n xmess-base
X-Mame/Mess the UNIX/X11 are the ports of Mame/MESS projects.
It makes MESS (Multi-Emulator Super System) available on *ix machines
using the X11R6 X-Window system (and Linux ones using SVGAlib too).

M.E.S.S. is a computer and consoles emulator: it includes a Z80, 6502,
68000 and lastly I86 uP emulators.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.

# x11 target
%if %buildx11mame
%package -n %{name}-x11
Summary:	X-Mame Arcade Game Emulator compiled for x11
Group:		Emulators
Requires(pre):	/usr/sbin/update-alternatives
Provides:	%{name} %{name}-xgl %{name}-xfx
Provides:       %{name} = %{fversion}
Requires:	%{name}-base
Obsoletes:	%{name} <= 0.37b13.2-1mdk
Obsoletes:	%{name}-xgl <= 0.87
Obsoletes:	%{name}-xfx <= 0.87
# xgl
%if %enable_x11_gl_mame
BuildRequires: Mesa-common-devel libjpeg-devel
%endif
# Glide/X11
%if %enable_x11_fx_mame
BuildRequires: Glide_V3 Glide_V3-devel
Requires:      Glide_V3
%endif

%description -n %{name}-x11
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This version has been compiled with X11/Open GL/Glide support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.x11). Try it if your game does not work well.
If using dga you end up with a messed-up screen, check that XF86Config-4
has 'Load "extmod"' in the module section.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.
%endif

%if %buildx11mess
%package -n xmess-x11
Summary:	X-Mess Emulator compiled for x11
Group:		Emulators
Requires(pre):	/usr/sbin/update-alternatives
Provides:	xmess xmess-xgl xmess-xfx
Provides:       xmess = %{fversion}
Requires:	xmess-base
Obsoletes:	xmess-xgl <= 0.87
Obsoletes:	xmess-xfx <= 0.87
# xgl
%if %enable_x11_gl_mess
BuildRequires: Mesa-common-devel libjpeg-devel
%endif
# Glide/X11
%if %enable_x11_fx_mess
BuildRequires: Glide_V3 Glide_V3-devel
Requires:      Glide_V3
%endif

%description -n xmess-x11
X-Mame/Mess the UNIX/X11 are the ports of Mame/MESS projects.
It makes MESS (Multi-Emulator Super System) available on *ix machines
using the X11R6 X-Window system (and Linux ones using SVGAlib too).

M.E.S.S. is a computer and consoles emulator: it includes a Z80, 6502,
68000 and lastly I86 uP emulators.

If using dga you end up with a messed-up screen, check that XF86Config-4
has 'Load "extmod"' in the module section.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.
%endif

# svgalib target
%if %buildsvgalibmame
%package -n %{name}-svgalib
Summary:	X-Mame Arcade Game Emulator compiled for SVGA lib
Group:		Emulators
Requires(pre):	/usr/sbin/update-alternatives
BuildRequires:	svgalib-devel
Provides:	%{name}
Provides:       %{name} = %{fversion}
Requires:	%{name}-base svgalib
Obsoletes:	xmame <= 0.37b13.2-1mdk

%description -n %{name}-svgalib
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This version has been compiled with SVGA lib support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.svgalib). Try it if your game does not work well.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.
%endif

%if %buildsvgalibmess
%package -n xmess-svgalib
Summary:	X-Mame Arcade Game Emulator compiled for SVGA lib
Group:		Emulators
Requires(pre):	/usr/sbin/update-alternatives
BuildRequires:	svgalib-devel
Provides:	xmess
Provides:       xmess = %{fversion}
Requires:	xmess-base svgalib

%description -n xmess-svgalib
X-Mame/Mess the UNIX/X11 are the ports of Mame/MESS projects.
It makes MESS (Multi-Emulator Super System) available on *ix machines
using the X11R6 X-Window system (and Linux ones using SVGAlib too).

M.E.S.S. is a computer and consoles emulator: it includes a Z80, 6502, 
68000 and lastly I86 uP emulators.

This version has been compiled with SVGA lib support.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.
%endif

# SDL target
%if %buildSDLmame
%package -n %{name}-SDL
Summary:	X-Mame Arcade Game Emulator compiled for SDL
Group:		Emulators
Requires(pre):	/usr/sbin/update-alternatives
#causes problems compiling for 9.1 otherwise
#BuildRequires: SDL1.2-devel
Provides:	%{name}
Provides:       %{name} = %{fversion}
Requires:	%{name}-base
Obsoletes:	xmame <= 0.37b13.2-1mdk

%description -n %{name}-SDL
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This version has been compiled with SDL support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.SDL). Try it if your game does not work well.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.
%endif

%if %buildSDLmess
%package -n xmess-SDL
Summary:	X-Mame Arcade Game Emulator compiled for SDL
Group:		Emulators
Requires(pre):	/usr/sbin/update-alternatives
#BuildRequires: SDL1.2-devel
Provides:	xmess
Provides:       xmess = %{fversion}
Requires:	xmess-base 

%description -n xmess-SDL
X-Mame/Mess the UNIX/X11 are the ports of Mame/MESS projects.
It makes MESS (Multi-Emulator Super System) available on *ix machines
using the X11R6 X-Window system (and Linux ones using SVGAlib too).

M.E.S.S. is a computer and consoles emulator: it includes a Z80, 6502, 
68000 and lastly I86 uP emulators.

This version has been compiled with SDL support.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.
%endif

# Glide/svgalib target
%if %buildsvgafxmame
%package -n %{name}-svgafx
Summary:	X-Mame Arcade Game Emulator compiled for 3Dfx cards with X11
Group:		Emulators
Requires(pre):	/usr/sbin/update-alternatives
BuildRequires:	Glide_V3 Glide_V3-devel
Provides:	%{name}
Provides:       %{name} = %{fversion}
Requires:	%{name}-base Glide_V3
Obsoletes:	xmame <= 0.37b13.2-1mdk

%description -n %{name}-svgafx
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This version has been compiled with voodoo/svgalib support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.svgafx). Try it if your game does not work well.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.
%endif

# Glide/svgalib target
%if %buildsvgafxmess
%package -n xmess-svgafx
Summary:	X-Mame Arcade Game Emulator compiled for 3Dfx cards with X11
Group:		Emulators
Requires(pre):	/usr/sbin/update-alternatives
BuildRequires:	Glide_V3 Glide_V3-devel
Provides:	xmess
Provides:       xmess = %{fversion}
Requires:	xmess-base Glide_V3

%description -n xmess-svgafx
X-Mame/Mess the UNIX/X11 are the ports of Mame/MESS projects.
It makes MESS (Multi-Emulator Super System) available on *ix machines
using the X11R6 X-Window system (and Linux ones using SVGAlib too).

M.E.S.S. is a computer and consoles emulator: it includes a Z80, 6502, 
68000 and lastly I86 uP emulators.

This version has been compiled with voodoo/svgalib support.

This package is in PLF because of Mandriva Linux policy forbidding
non-free and emulation software.
%endif

%prep
rm -rf %buildroot

%setup -q

%if %build_upx
%patch10 -p1
%endif

%patch12 -p1

unzip -aa -o %{SOURCE20} hiscore.dat
7za x %{SOURCE21}
unzip -aa -o %{SOURCE22} history.dat
7za x %{SOURCE23}
7za x `echo $(basename %{SOURCE23}) | perl -p -e "s|zip|exe|"`

#unzip -aa -o %{SOURCE24}
#dos2unix mameinfo.dif
#patch -p1 <mameinfo.dif
dos2unix mameinfo.dat

unzip -aa -o -C %{SOURCE40} catver.ini

%build

# settings are positioned within the spec and no more with a patch
perl -pi -e "s/# SOUND/SOUND/g" makefile.unix
perl -pi -e "s/# JOY_SDL/JOY_SDL/" makefile.unix
perl -pi -e "s/# JOY_STANDARD/JOY_STANDARD/" makefile.unix
perl -pi -e "s/# XINPUT/XINPUT/" makefile.unix
perl -pi -e "s|^X11LIB.*$|X11LIB = -L%{x11prefix}/%{_lib}|" makefile.unix
perl -pi -e "s/^CFLAGS =/CFLAGS = %optflags/" makefile.unix
%if %enable_dynarec
perl -pi -e "s/# X86_MIPS3_DRC/X86_MIPS3_DRC/" makefile.unix
perl -pi -e "s/# X86_PPC_DRC/X86_PPC_DRC/" makefile.unix
perl -pi -e "s/# X86_VOODOO_DRC/X86_VOODOO_DRC/" makefile.unix
%endif

%ifarch x86_64
perl -pi -e "s/MY_CPU = i386/MY_CPU = amd64/" makefile.unix
%else
perl -pi -e "s/MY_CPU = i386/MY_CPU = %{_arch}/" makefile.unix
%endif

#detection of mmx currently works on x86 only...
%ifarch %ix86
	perl -pi -e "s/# EFFECT_MMX_ASM/EFFECT_MMX_ASM/" makefile.unix
%endif

# options from xmame not provided by our RPM variables
# -funroll-loops -fstrength-reduce  -fomit-frame-pointer -ffast-math
# -malign-functions=2 -malign-jumps=2 -malign-loops=2 -s -fno-exceptions
# -fstrict-aliasing

#Xmame compilation
# x11 target with 68k asm support
%if %enable_68k_asm
%if %buildx11mame
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mame \
	X86_ASM_68000=1 \
	X11_DGA=1 X11_XV=1 \
%if %enable_x11_gl_mame
	X11_OPENGL=1 \
%endif
%if %enable_x11_fx_mame
	X11_GLIDE=1 \
%endif
	XMAMEROOT=%{_gamesdatadir}/xmame \
	DISPLAY_METHOD=x11 \
	CC=gcc
mv xmame.x11 xmame.x11-68k
%endif

# SDL target with 68k asm support
%if %buildSDLmame
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mame \
	X86_ASM_68000=1 \
        XMAMEROOT=%{_gamesdatadir}/xmame \
	DISPLAY_METHOD=SDL \
	CC=gcc
mv xmame.SDL xmame.SDL-68k
%endif
#SOUND_SDL=1 JOY_SDL=1 \


# svgalib target with 68k asm support
%if %buildsvgalibmame
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mame \
	X86_ASM_68000=1 \
        XMAMEROOT=%{_gamesdatadir}/xmame \
	DISPLAY_METHOD=svgalib \
	CC=gcc
mv xmame.svgalib xmame.svgalib-68k
%endif

# Glide/svgalib target with 68k asm support
%if %buildsvgafxmame
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mame \
	X86_ASM_68000=1 \
        XMAMEROOT=%{_gamesdatadir}/xmame \
	DISPLAY_METHOD=svgafx \
	CC=gcc
mv xmame.svgafx xmame.svgafx-68k
%endif

# won't recompile without the 68k asm core if not clean
make -f makefile.unix PREFIX=%{_prefix} TARGET=mame clean68k
%endif

# x11 target without 68k asm support
%if %buildx11mame
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mame \
	X11_DGA=1 X11_XV=1\
%if %enable_x11_gl_mame
	X11_OPENGL=1 \
%endif
%if %enable_x11_fx_mame
	X11_GLIDE=1 \
%endif
        XMAMEROOT=%{_gamesdatadir}/xmame \
	DISPLAY_METHOD=x11 \
	CC=gcc
%endif

# SDL target without 68k asm support
%if %buildSDLmame
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mame \
        XMAMEROOT=%{_gamesdatadir}/xmame \
	DISPLAY_METHOD=SDL \
	CC=gcc
%endif
#SOUND_SDL=1 JOY_SDL=1 \

# svgalib target without 68k asm support
%if %buildsvgalibmame
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mame \
        XMAMEROOT=%{_gamesdatadir}/xmame \
	DISPLAY_METHOD=svgalib \
	CC=gcc
%endif

# Glide/svgalib target without 68k asm support
%if %buildsvgafxmame
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mame \
        XMAMEROOT=%{_gamesdatadir}/xmame \
	DISPLAY_METHOD=svgafx \
	CC=gcc
%endif

#Xmess compilation
#Xmess - x11 target with 68k asm support
%if %enable_68k_asm
%if %buildx11mess
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess \
	X86_ASM_68000=1 \
	X11_DGA=1 X11_XV=1\
%if %enable_x11_gl_mess
	X11_OPENGL=1 \
%endif
%if %enable_x11_fx_mess
	X11_GLIDE=1 \
%endif
	XMAMEROOT=%{_gamesdatadir}/xmess \
	DISPLAY_METHOD=x11 \
	CC=gcc
mv xmess.x11 xmess.x11-68k
%endif

#Xmess - SDL target with 68k asm support
%if %buildSDLmess
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess \
	X86_ASM_68000=1 \
        XMAMEROOT=%{_gamesdatadir}/xmess \
	DISPLAY_METHOD=SDL \
	CC=gcc
mv xmess.SDL xmess.SDL-68k
%endif
#SOUND_SDL=1 JOY_SDL=1 \

#Xmess - svgalib target with 68k asm support
%if %buildsvgalibmess
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess \
	X86_ASM_68000=1 \
        XMAMEROOT=%{_gamesdatadir}/xmess \
	DISPLAY_METHOD=svgalib \
	CC=gcc
mv xmess.svgalib xmess.svgalib-68k
%endif

#Xmess - Glide/svgalib target with 68k asm support
%if %buildsvgafxmess
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess \
	X86_ASM_68000=1 \
        XMAMEROOT=%{_gamesdatadir}/xmess \
	DISPLAY_METHOD=svgafx \
	CC=gcc
mv xmess.svgafx xmess.svgafx-68k
%endif

# won't recompile without the 68k asm core if not clean
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess clean68k
%endif

#Xmess -  x11 target without 68k asm support
%if %buildx11mess
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess \
	X11_DGA=1 X11_XV=1\
%if %enable_x11_gl_mess
	X11_OPENGL=1 \
%endif
%if %enable_x11_fx_mess
	X11_GLIDE=1 \
%endif
        XMAMEROOT=%{_gamesdatadir}/xmess \
	DISPLAY_METHOD=x11 \
	CC=gcc
%endif

#Xmess - SDL target without 68k asm support
%if %buildSDLmess
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess \
        XMAMEROOT=%{_gamesdatadir}/xmess \
	DISPLAY_METHOD=SDL \
	CC=gcc
%endif
#SOUND_SDL=1 JOY_SDL=1 \

#Xmess -  svgalib target without 68k asm support
%if %buildsvgalibmess
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess \
        XMAMEROOT=%{_gamesdatadir}/xmess \
	DISPLAY_METHOD=svgalib \
	CC=gcc
%endif

#Xmess - Glide/svgalib target without 68k asm support
%if %buildsvgafxmess
%make -f makefile.unix PREFIX=%{_prefix} TARGET=mess \
        XMAMEROOT=%{_gamesdatadir}/xmess \
	DISPLAY_METHOD=svgafx \
	CC=gcc
%endif

%install

#xmame
rm -rf %buildroot
mkdir -p %buildroot%{_gamesdatadir}/%{name}/{roms,cab,samples,artwork} \
	%buildroot%{_mandir}/man6 \
	%buildroot%{_bindir} \
	%buildroot%{_gamesdatadir}/%{name}/rc \
	%buildroot%{_iconsdir} \
	%buildroot%{_liconsdir} \
	%buildroot%{_miconsdir} \
	%buildroot%{_menudir} \
	%buildroot%{_gamesbindir}

#installing the free roms
cp %{SOURCE10} %buildroot%{_gamesdatadir}/%{name}/roms
cp %{SOURCE11} %buildroot%{_gamesdatadir}/%{name}/roms
cp %{SOURCE12} %buildroot%{_gamesdatadir}/%{name}/roms
cp %{SOURCE13} %buildroot%{_gamesdatadir}/%{name}/samples/gridlee.zip

# the man pages
install -m 644 doc/xmame.6 %buildroot%{_mandir}/man6/

#xmess
mkdir -p %buildroot%{_gamesdatadir}/xmess/{bios,hash,cheat,software,sysinfo} \
	%buildroot%{_gamesdatadir}/xmess/rc
install -m 644 hash/* %buildroot%{_gamesdatadir}/xmess/hash
install -m 644 doc/mess/sysinfo.dat %buildroot%{_gamesdatadir}/xmess/sysinfo
install -m 644 doc/xmess.6 %buildroot%{_mandir}/man6/

#xmame/xmess tools
install -d -m 755 %buildroot%{_bindir}
install -m 755 romcmp %buildroot%{_bindir}/
install -m 755 chdman %buildroot%{_bindir}/
install -m 755 imgtool %buildroot%{_bindir}/
install -m 755 xml2info %buildroot%{_bindir}/
install -m 755 jedutil %buildroot%{_bindir}/

# with 68k asm
%if %enable_68k_asm
# Xmame binaries
%if %buildSDLmame
install -m  755 %{name}.SDL-68k %buildroot%{_gamesbindir}
%endif

%if %buildx11mame
install -m 4755 %{name}.x11-68k %buildroot%{_gamesbindir}
%endif

%if %buildsvgalibmame
install -m 4755 %{name}.svgalib-68k %buildroot%{_gamesbindir}
%endif

%if %buildsvgafxmame
install -m 4755 %{name}.svgafx-68k %buildroot%{_gamesbindir}
%endif

#Xmess binaries
%if %buildSDLmess
install -m  755 xmess.SDL-68k %buildroot%{_gamesbindir}
%endif

%if %buildx11mess
install -m 4755 xmess.x11-68k %buildroot%{_gamesbindir}
%endif

%if %buildsvgalibmess
install -m 4755 xmess.svgalib-68k %buildroot%{_gamesbindir}
%endif

%if %buildsvgafxmess
install -m 4755 xmess.svgafx-68k %buildroot%{_gamesbindir}
%endif
%endif

#without 68k asm
# Xmame binaries
%if %buildSDLmame
install -m  755 %{name}.SDL %buildroot%{_gamesbindir}
%endif

%if %buildx11mame
install -m 4755 %{name}.x11 %buildroot%{_gamesbindir}
%endif

%if %buildsvgalibmame
install -m 4755 %{name}.svgalib %buildroot%{_gamesbindir}
%endif

%if %buildsvgafxmame
install -m 4755 %{name}.svgafx %buildroot%{_gamesbindir}
%endif

#Xmess binaries
%if %buildSDLmess
install -m  755 xmess.SDL %buildroot%{_gamesbindir}
%endif

%if %buildx11mess
install -m 4755 xmess.x11 %buildroot%{_gamesbindir}
%endif

%if %buildsvgalibmess
install -m 4755 xmess.svgalib %buildroot%{_gamesbindir}
%endif

%if %buildsvgafxmess
install -m 4755 xmess.svgafx %buildroot%{_gamesbindir}
%endif

# xmame-screensaver from contrib/tools
install -m 755 contrib/tools/xmame-screensaver %buildroot%{_bindir}

# the cab files
make -f makefile.unix XMAMEROOT=%buildroot%{_gamesdatadir}/%{name} copycab INSTALL_GROUP=`id -g` INSTALL_USER=$USER

install -m 644 ./doc/xmamerc.dist %buildroot%{_gamesdatadir}/%{name}/xmame-x11rc
install -m 644 ./cheat.dat %buildroot%{_gamesdatadir}/%{name}/cheat.dat
install -m 644 ./history.dat %buildroot%{_gamesdatadir}/%{name}/history.dat
# install -m 644 ./driverinfo.dat %buildroot%{_gamesdatadir}/%{name}/driverinfo.dat
install -m 644 ./mameinfo.dat %buildroot%{_gamesdatadir}/%{name}/mameinfo.dat
install -m 644 ./hiscore.dat  %buildroot%{_gamesdatadir}/%{name}/hiscore.dat
install -m 644 ./Catver.ini %buildroot%{_gamesdatadir}/%{name}/catver.ini
#install contrib/frontends/mamex.new %buildroot%{_bindir}/mamex #mamex.new is v1.2 as mamex is v2
install contrib/frontends/mamex %buildroot%{_bindir}/mamex


# icons
install -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot%_liconsdir/%name.png

#install xmess
install -m 644 %SOURCE5 %buildroot%_miconsdir/xmess.png
install -m 644 %SOURCE6 %buildroot%_iconsdir/xmess.png
install -m 644 %SOURCE7 %buildroot%_liconsdir/xmess.png

install -m 644 ./doc/xmessrc.dist %buildroot%{_gamesdatadir}/xmess/xmess-x11rc

# rc files
tar xvjf %{SOURCE4} -C %buildroot%{_gamesdatadir}/%{name}
#touch %buildroot%{_gamesdatadir}/%{name}/xmame-xfxrc
touch %buildroot%{_gamesdatadir}/%{name}/xmame-svgafxrc

# Xmame menu entries
%if %mdkversion < 1000 
%define menusection "More applications/Emulators"
%else 
%define menusection "More Applications/Emulators"
%endif

# x11 target
%if %buildx11mame
cat << EOF > %buildroot%{_menudir}/%{name}-x11
?package(%{name}-x11):command="%{_gamesbindir}/%{name}.x11" \
	icon="%{name}.png" \
	needs="X11" \
	section=%{menusection} \
	title="Xmame (X11)" \
	longtitle="Arcade emulator" \
	xdg="true"
EOF

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-x11.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xmame (X11)
Comment=Arcade emulator
Exec=%{_gamesbindir}/%{name}.x11
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;X-Mandrakelinux-MoreApplications-Emulators;
EOF
%endif

# svgalib / svgafx targets : no menu entries for commandline...

# xgl target
#if %enable_x11_gl_mame
#ln -sf %{_gamesdatadir}/%{name}/cab %buildroot%{_sysconfdir}/%{name}/cab
#endif

# SDL target
%if %buildSDLmame
cat << EOF > %buildroot%{_menudir}/%{name}-SDL
?package(%{name}-SDL):command="%{_gamesbindir}/%{name}.SDL" \
	icon="%{name}.png" \
	needs="X11" \
	section=%{menusection} \
	title="Xmame (SDL)" \
	longtitle="Arcade emulator" \
	xdg="true"
EOF

if [ ! -e $RPM_BUILD_ROOT%{_datadir}/applications ]; then
        mkdir $RPM_BUILD_ROOT%{_datadir}/applications
fi
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-SDL.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xmame (SDL)
Comment=Arcade emulator
Exec=%{_gamesbindir}/%{name}.SDL
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;X-Mandrakelinux-MoreApplications-Emulators;
EOF
%endif


# Xmess menu entries
# x11 target
%if %buildx11mess
cat << EOF > %buildroot%{_menudir}/xmess-x11
?package(xmess-x11):command="%{_gamesbindir}/xmess.x11" \
	icon="xmess.png" \
	needs="X11" \
	section=%{menusection} \
	title="Xmess (X11)" \
	longtitle="Computer - Console emulator" \
	xdg="true"
EOF

if [ ! -e $RPM_BUILD_ROOT%{_datadir}/applications ]; then
        mkdir $RPM_BUILD_ROOT%{_datadir}/applications
fi
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-xmess-x11.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xmess (X11)
Comment=Computer - Console emulator
Exec=%{_gamesbindir}/xmess.x11
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;X-Mandrakelinux-MoreApplications-Emulators;
EOF
%endif

# svgalib / svgafx targets : no menu entries for commandline...

# SDL target
%if %buildSDLmess
cat << EOF > %buildroot%{_menudir}/xmess-SDL
?package(xmess-SDL):command="%{_gamesbindir}/xmess.SDL" \
	icon="xmess.png" \
	needs="X11" \
	section=%{menusection} \
	title="Xmess (SDL)" \
	longtitle="Computer - Console emulator" \
	xdg="true"
EOF

if [ ! -e $RPM_BUILD_ROOT%{_datadir}/applications ]; then
	mkdir $RPM_BUILD_ROOT%{_datadir}/applications
fi
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-xmess-SDL.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xmess (SDL)
Comment=Computer - Console emulator
Exec=%{_gamesbindir}/xmess.SDL
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;X-Mandrakelinux-MoreApplications-Emulators;
EOF
%endif

# don't know what to do with these yet
# xmame-screensaver does not seem to work
rm %buildroot%{_bindir}/xmame-screensaver
# I have to check why there is such a file there
#rm %buildroot/usr/share/games/xmame/xmame-x11rc

# Xmame rc's
%if %buildx11mame
%else
rm %buildroot%{_gamesdatadir}/%{name}/xmame-x11rc
%endif

%if %buildsvgalibmame
%else
rm %buildroot%{_gamesdatadir}/%{name}/xmame-svgalibrc
%endif

%if %buildSDLmame
%else
rm %buildroot%{_gamesdatadir}/%{name}/xmame-SDLrc
%endif

%if %buildsvgafxmame
%else
rm %buildroot%{_gamesdatadir}/%{name}/xmame-svgafxrc
%endif

# Xmess rc's
%if %buildx11mess
%else
#rm %buildroot%{_gamesdatadir}/xmess/xmess-x11rc
%endif

%if %buildsvgalibmess
%else
#rm %buildroot%{_gamesdatadir}/xmess/xmess-svgalibrc
%endif
%if %buildSDLmess
%else
#rm %buildroot%{_gamesdatadir}/xmess/xmess-SDLrc
%endif

%if %buildsvgafxmess
%else
#rm %buildroot%{_gamesdatadir}/xmess/xmess-svgafxrc
%endif

cat > ReadMe.%{name} <<EOF
Complete docs are in /usr/share/doc/%{name}-%{version}
EOF

cat > ReadMe.xmess <<EOF
Complete docs are in /usr/share/doc/xmess-%{version}
EOF

export DONT_STRIP=1

# xmame tools
#
%files -n %{name}-tools
%defattr(-,root,root)
%doc ReadMe.%{name}
%attr(755,root,games) %{_bindir}/romcmp
%attr(755,root,games) %{_bindir}/chdman
%attr(755,root,games) %{_bindir}/imgtool
%attr(755,root,games) %{_bindir}/xml2info
%attr(755,root,games) %{_bindir}/jedutil

# xmame base
#
%files -n %{name}-base
%defattr(0644,root,root,0755)
%doc doc/*
%dir               %{_gamesdatadir}/%{name}
%dir               %{_gamesdatadir}/%{name}/rc
%config(noreplace) %{_gamesdatadir}/%{name}/rc/*
%attr(755,root,games) %{_bindir}/mamex
#dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/roms
%dir %{_gamesdatadir}/%{name}/samples
%dir %{_gamesdatadir}/%{name}/artwork
%attr(644,root,games) %{_gamesdatadir}/%{name}/roms/*
%attr(644,root,games) %{_gamesdatadir}/%{name}/samples/*
%{_gamesdatadir}/%{name}/cheat.dat
%{_gamesdatadir}/%{name}/history.dat
%{_gamesdatadir}/%{name}/hiscore.dat
%{_gamesdatadir}/%{name}/mameinfo.dat
%{_gamesdatadir}/%{name}/catver.ini
#%{_gamesdatadir}/%{name}/driverinfo.dat
%attr(644,root,root) %{_liconsdir}/%{name}.png
%attr(644,root,root) %{_miconsdir}/%{name}.png
%attr(644,root,root) %{_iconsdir}/%{name}.png
%attr(644,root,man) %{_mandir}/man6/%{name}.*

# xmess base
#
%files -n xmess-base
%defattr(0644,root,root,0755)
%doc doc/*
%dir               %{_gamesdatadir}/xmess
#%dir               %{_gamesdatadir}/xmess/rc
#%config(noreplace) %{_gamesdatadir}/xmess/rc/*
#%attr(755,root,games) %{_bindir}/mamex
#dir %{_gamesdatadir}/xmess
%dir %{_gamesdatadir}/xmess/bios
%dir %{_gamesdatadir}/xmess/cheat
%dir %{_gamesdatadir}/xmess/hash
%dir %{_gamesdatadir}/xmess/software
%dir %{_gamesdatadir}/xmess/sysinfo
%attr(644,root,games) %{_gamesdatadir}/xmess/sysinfo/sysinfo.dat
%attr(644,root,games) %{_gamesdatadir}/xmess/hash/*
%attr(644,root,games) %{_gamesdatadir}/xmess/xmess-x11rc
#%attr(644,root,games) %{_gamesdatadir}/xmess/roms/*
#%attr(644,root,games) %{_gamesdatadir}/xmess/samples/*
#%{_gamesdatadir}/xmess/cheat.dat
#%{_gamesdatadir}/xmess/history.dat
#%{_gamesdatadir}/xmess/hiscore.dat
#%{_gamesdatadir}/xmess/mameinfo.dat
%attr(644,root,root) %{_liconsdir}/xmess.png
%attr(644,root,root) %{_miconsdir}/xmess.png
%attr(644,root,root) %{_iconsdir}/xmess.png
%attr(644,root,man) %{_mandir}/man6/xmess.*

# Xmame alternatives , post, postun, files
# x11 target
#
%if %buildx11mame
%post -n %{name}-x11
%{update_menus}
%if %enable_68k_asm
update-alternatives --install %{_gamesbindir}/%{name} %{name} %{_gamesbindir}/%{name}.x11-68k 9
%endif
update-alternatives --install %{_gamesbindir}/%{name} %{name} %{_gamesbindir}/%{name}.x11     10
# without the following, the group stays in default manual mode,
#  and no link is created
#[ -e %{_gamesbindir}/%{name} ] || update-alternatives --auto %{name}
update-alternatives --auto %{name}

%postun -n %{name}-x11
%{clean_menus}
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
%if %enable_68k_asm
  update-alternatives --remove %{name} %{_gamesbindir}/%{name}.x11-68k
%endif
  update-alternatives --remove %{name} %{_gamesbindir}/%{name}.x11
  update-alternatives --auto %{name}
fi

%files -n %{name}-x11
%defattr(-,root,root)
%doc ReadMe.%{name}
%config(noreplace) %{_gamesdatadir}/%{name}/xmame-x11rc
%attr(-,root,games) %{_gamesbindir}/xmame.x11*
# %attr(-,root,games) %{_bindir}/xmame-screensaver
%attr(644,root,root) %{_menudir}/%{name}-x11
%{_datadir}/applications/mandriva-%{name}-x11.desktop
# OpenGL only?
%if %enable_x11_gl_mame
%dir %{_gamesdatadir}/%{name}/cab
%{_gamesdatadir}/%{name}/cab/*
#{_sysconfdir}/%{name}/cab
%endif
%endif

# svgalib target
#
%if %buildsvgalibmame
%post -n %{name}-svgalib
%if %enable_68k_asm
update-alternatives --install %{_gamesbindir}/%{name} %{name} %{_gamesbindir}/%{name}.svgalib-68k 9
%endif
update-alternatives --install %{_gamesbindir}/%{name} %{name} %{_gamesbindir}/%{name}.svgalib     10
# without the following, the group stays in default manual mode,
#  and no link is created
#[ -e %{_gamesbindir}/%{name} ] || update-alternatives --auto %{name}
update-alternatives --auto %{name}

%postun -n %{name}-svgalib
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
%if %enable_68k_asm
  update-alternatives --remove %{name} %{_gamesbindir}/%{name}.svgalib-68k
%endif
  update-alternatives --remove %{name} %{_gamesbindir}/%{name}.svgalib
  update-alternatives --auto %{name}
fi

%files -n %{name}-svgalib
%defattr(-,root,root)
%doc ReadMe.%{name}
%dir               %{_gamesdatadir}/%{name}
%config(noreplace) %{_gamesdatadir}/%{name}/xmame-svgalibrc
%attr(-,root,games) %{_gamesbindir}/xmame.svgalib*
%endif

# SDL target
#
%if %buildSDLmame
%post -n %{name}-SDL
%{update_menus}
%if %enable_68k_asm
update-alternatives --install %{_gamesbindir}/%{name} %{name} %{_gamesbindir}/%{name}.SDL-68k 9
%endif
update-alternatives --install %{_gamesbindir}/%{name} %{name} %{_gamesbindir}/%{name}.SDL     10
# without the following, the group stays in default manual mode,
#  and no link is created
#[ -e %{_gamesbindir}/%{name} ] || update-alternatives --auto %{name}
update-alternatives --auto %{name}

%postun -n %{name}-SDL
%{clean_menus}
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
%if %enable_68k_asm
  update-alternatives --remove %{name} %{_gamesbindir}/%{name}.SDL-68k
%endif
  update-alternatives --remove %{name} %{_gamesbindir}/%{name}.SDL
  update-alternatives --auto %{name}
fi

%files -n %{name}-SDL
%defattr(-,root,root)
%doc ReadMe.%{name}
#dir               %{_gamesdatadir}/%{name}
%config(noreplace) %{_gamesdatadir}/%{name}/xmame-SDLrc
%attr(-,root,games) %{_gamesbindir}/xmame.SDL*
%attr(644,root,root) %{_menudir}/%{name}-SDL
%{_datadir}/applications/mandriva-%{name}-SDL.desktop
%endif

# Glide/svgalib target
#
%if %buildsvgafxmame
%post -n %{name}-svgafx
%if %enable_68k_asm
update-alternatives --install %{_gamesbindir}/%{name} %{name} %{_gamesbindir}/%{name}.svgafx-68k 9
%endif
update-alternatives --install %{_gamesbindir}/%{name} %{name} %{_gamesbindir}/%{name}.svgafx     10
# without the following, the group stays in default manual mode,
#  and no link is created
#[ -e %{_gamesbindir}/%{name} ] || update-alternatives --auto %{name}
update-alternatives --auto %{name}

%postun -n %{name}-svgafx
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
%if %enable_68k_asm
  update-alternatives --remove %{name} %{_gamesbindir}/%{name}.svgafx-68k
%endif
  update-alternatives --remove %{name} %{_gamesbindir}/%{name}.svgafx
  update-alternatives --auto %{name}
fi

%files -n %{name}-svgafx
%defattr(-,root,root)
%doc ReadMe.%{name}
%dir               %{_gamesdatadir}/%{name}
%config(noreplace) %{_gamesdatadir}/%{name}/xmame-svgafxrc
%attr(-,root,games) %{_gamesbindir}/xmame.svgafx*
%endif

# Xmess alternatives , post, postun, files
# x11 target
#
%if %buildx11mess
%post -n xmess-x11
%{update_menus}
%if %enable_68k_asm
update-alternatives --install %{_gamesbindir}/xmess xmess %{_gamesbindir}/xmess.x11-68k 9
%endif
update-alternatives --install %{_gamesbindir}/xmess xmess %{_gamesbindir}/xmess.x11     10
# without the following, the group stays in default manual mode,
#  and no link is created
#[ -e %{_gamesbindir}/xmess ] || update-alternatives --auto xmess
update-alternatives --auto xmess

%postun -n xmess-x11
%{clean_menus}
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
%if %enable_68k_asm
  update-alternatives --remove xmess %{_gamesbindir}/xmess.x11-68k
%endif
  update-alternatives --remove xmess %{_gamesbindir}/xmess.x11
  update-alternatives --auto xmess
fi

%files -n xmess-x11
%defattr(-,root,root)
%doc ReadMe.xmess
#%dir               %{_gamesdatadir}/xmess
#%config(noreplace) %{_gamesdatadir}/xmess/xmess-x11rc
%attr(-,root,games) %{_gamesbindir}/xmess.x11*
%attr(644,root,root) %{_menudir}/xmess-x11
%{_datadir}/applications/mandriva-xmess-x11.desktop
%endif

# svgalib target
#
%if %buildsvgalibmess
%post -n xmess-svgalib
%if %enable_68k_asm
update-alternatives --install %{_gamesbindir}/xmess xmess %{_gamesbindir}/xmess.svgalib-68k 9
%endif
update-alternatives --install %{_gamesbindir}/xmess xmess %{_gamesbindir}/xmess.svgalib     10
# without the following, the group stays in default manual mode,
#  and no link is created
#[ -e %{_gamesbindir}/xmess ] || update-alternatives --auto xmess
update-alternatives --auto xmess

%postun -n xmess-svgalib
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
%if %enable_68k_asm
  update-alternatives --remove xmess %{_gamesbindir}/xmess.svgalib-68k
%endif
  update-alternatives --remove xmess %{_gamesbindir}/xmess.svgalib
  update-alternatives --auto xmess
fi

%files -n xmess-svgalib
%defattr(-,root,root)
%doc ReadMe.xmess
#%dir               %{_gamesdatadir}/xmess
#%config(noreplace) %{_gamesdatadir}/xmess/xmess-svgalibrc
%attr(-,root,games) %{_gamesbindir}/xmess.svgalib*
%endif

# SDL target
#
%if %buildSDLmess
%post -n xmess-SDL
%{update_menus}
%if %enable_68k_asm
update-alternatives --install %{_gamesbindir}/xmess xmess %{_gamesbindir}/xmess.SDL-68k 9
%endif
update-alternatives --install %{_gamesbindir}/xmess xmess %{_gamesbindir}/xmess.SDL     10
# without the following, the group stays in default manual mode,
#  and no link is created
#[ -e %{_gamesbindir}/xmess ] || update-alternatives --auto xmess
update-alternatives --auto xmess

%postun -n xmess-SDL
%{clean_menus}
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
%if %enable_68k_asm
  update-alternatives --remove xmess %{_gamesbindir}/xmess.SDL-68k
%endif
  update-alternatives --remove xmess %{_gamesbindir}/xmess.SDL
  update-alternatives --auto xmess
fi

%files -n xmess-SDL
%defattr(-,root,root)
%doc ReadMe.xmess
#%dir               %{_gamesdatadir}/xmess
#%config(noreplace) %{_gamesdatadir}/xmess/xmame-SDLrc
%attr(-,root,games) %{_gamesbindir}/xmess.SDL*
%attr(644,root,root) %{_menudir}/xmess-SDL
%{_datadir}/applications/mandriva-xmess-SDL.desktop
%endif

# Glide/svgalib target
#
%if %buildsvgafxmess
%post -n xmess-svgafx
%if %enable_68k_asm
update-alternatives --install %{_gamesbindir}/xmess xmess %{_gamesbindir}/xmess.svgafx-68k 9
%endif
update-alternatives --install %{_gamesbindir}/xmess xmess %{_gamesbindir}/xmess.svgafx     10
# without the following, the group stays in default manual mode,
#  and no link is created
#[ -e %{_gamesbindir}/xmess ] || update-alternatives --auto xmess
update-alternatives --auto xmess

%postun -n xmess-svgafx
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
%if %enable_68k_asm
  update-alternatives --remove xmess %{_gamesbindir}/xmess.svgafx-68k
%endif
  update-alternatives --remove xmess %{_gamesbindir}/xmess.svgafx
  update-alternatives --auto xmess
fi

%files -n xmess-svgafx
%defattr(-,root,root)
%doc ReadMe.xmess
#%dir               %{_gamesdatadir}/xmess
#%config(noreplace) %{_gamesdatadir}/xmess/xmess-svgafxrc
%attr(-,root,games) %{_gamesbindir}/xmess.svgafx*
%endif

%clean
rm -rf %buildroot

%changelog
* Fri Dec 21 2007 Anssi Hannula <anssi@zarb.org> 0.106-4plf2008.1
- rebuild

* Sun Sep 03 2006 Anssi Hannula <anssi@zarb.org> 0.106-3plf2007.0
- fix buildrequires
- enable Voodoo and PPC DRC engines on x86
- really use optflags
- fix make copycab

* Mon Jun 26 2006 Guillaume Bedot <littletux@zarb.org> 0.106-2plf2007.0
- moved xmame* and xmess* binaries from usr/X11R6/bin to usr/games
- added new jedutil to xmame tools package
- force alternatives update
- fixed directory conflict, requires
- XDG menu migration
- utf8 changelog in spec 

* Sun May 28 2006 Guillaume Bedot <littletux@zarb.org> 0.106-1plf
- 0.106 except for highscores
- updated plf reasons
- 7zipped cheats
- standard mkrel

* Tue Apr 18 2006 Guillaume Bedot <littletux@zarb.org> 0.105-1plf
- Release 0.105

* Wed Feb 22 2006 Guillaume Bedot <littletux@zarb.org> 0.104-1plf
- Release 0.104

* Thu Jan 19 2006 Guillaume Bedot <littletux@zarb.org> 0.103-2plf
- Reup

* Wed Jan 18 2006 Guillaume Bedot <littletux@zarb.org> 0.103-1plf
- Release 0.103
- Fixed folder owned by xmame-base and xmame-x11
- Minimal doc for sub-packages
- PreReq -> Requires(pre)
- provide with version

* Tue Nov 29 2005 Guillaume Bedot <littletux@zarb.org> 0.102-1plf
- Release 0.102
- Again a Mameinfo change, require p7zip instead of unrar.

* Mon Oct 24 2005 Guillaume Bedot <littletux@zarb.org> 0.101-1plf
- Release 0.101
- + buildrequire unzip, unrar

* Fri Oct 21 2005 Anssi Hannula <anssi@zarb.org> 0.100-2plf
- remove ExclusiveArch
- enable 68k_asm by default only on x86
- fix few %%if:s
- enable mips3 dynamic recompiler only on x86
- fix X11LIB for lib64
- %%make

* Thu Sep 22 2005 Guillaume Bedot <littletux@zarb.org> 0.100-1plf
- Release 0.100

* Fri Aug 26 2005 Guillaume Bedot <littletux@zarb.org> 0.99-1plf
- Release 0.99

* Tue Jun 21 2005 Guillaume Bedot <littletux@zarb.org> 0.97-1plf
- Release 0.97.
- Fixed buildreq, drak in description and obsolete not provided
- Use %mkrel.

* Sun May 15 2005 Guillaume Bedot <littletux@zarb.org> 0.96-1plf
- Release 0.96.

* Sun Apr 03 2005 Guillaume Bedot <littletux@zarb.org> 0.95-1plf
- Release 0.95.
- with 68k-asm enabled.
- Changed rc files installation (moved from sysconfdir to gamesdatadir).

* Wed Mar 16 2005 Guillaume Bedot <littletux@zarb.org> 0.94-1plf
- Release 0.94.
- Made build with 68k ASM optional as it doesn't build...

* Thu Feb 24 2005 Guillaume Bedot <littletux@zarb.org> 0.92-1plf
- Release 0.92. 
- Changed rpm license tag to freeware in order to get xmame  packages go to 
 the non-free section.

* Wed Jan 19 2005 Guillaume Bedot <littletux@zarb.org> 0.90-1plf
- Release 0.90.

* Wed Dec 08 2004 Guillaume Bedot <littletux@zarb.org> 0.89-2plf
- Fixed missing options.

* Thu Nov 11 2004 Guillaume Bedot <littletux@zarb.org> 0.88-1plf
- Release 0.89, mameinfo 0.89u2, history.dat 0.89d,  highscores 0.89,
 catver.ini 0.89u2.
- Disable xgl and xfx (compiled into x11)
- Dropped nvidia option (corresponding option no longer exist)
- Changed makefile patches to some perl in the spec
 
* Mon Oct 04 2004 Guillaume Bedot <littletux@zarb.org> 0.87-1plf
- Release 0.87, mameinfo 0.87u1, history.dat 0.87a,  highscores 0.87,
 catver.ini 0.87.
- Fixed menu section.
- Fixed obsoletes not provided.

* Thu Aug 26 2004 Guillaume Bedot <littletux@zarb.org> 0.86-1plf
- Release 0.86, mameinfo 0.86, history.dat 0.86,  highscores 0.85,
- disabled xmame_net (unfortunately broken at the moment).
- added dynarec (default, but can be disabled),
- added xml2info in xmame-tools, to be used by front-ends,
- fixed path in xmame rc's,
- added build option for nvidia users, please test (should work with nvidia 
 headers and without mesa ones) !
- added catver.ini (0.86),
- fixed SDL build (added JOY_SDL option).

* Thu May 20 2004 Guillaume Bedot <littletux@zarb.org> 0.82.1-1plf
- update to xmame 0.82.1 - mameinfo 0.82u1 - history.dat 0.82b 
 unoff cheats 8.3
- change of mess crc / hash folder
- added mame and mess tools to the new xmame-tools package : chdman, romcmp, 
 imgtool

* Tue Apr 13 2004 Guillaume Bedot <littletux@zarb.org> 0.81.1-1plf
- update to xmame 0.81.1 - mameinfo 0.81u4a - history.dat 0.81b
- really included reason for in plf.

* Sun Jan 04 2004 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.77.1-2plf
- added xmess builds.
- moved data from /usr/lib to /usr/share
- update to xmame 0.77.1 - mameinfo 077u3 - history.dat 0.77e - unoff cheats 8.2
- with-upx as an option (disabled in plf binaries)
- "Why in PLF ?"

* Sun Jul 20 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.71.1-1plf
- 0.71.1 - mameinfo 071u2 - history.dat 0.71a

* Fri Jul 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.70.1-1plf
- 0.70.1
- update xmame makefile patch

* Sun Apr 13 2003 Guillaume Bedot <Guillaume Bedot> 0.67.2-1plf
- update xmame to 0.67.2
- update xmame makefile patch
- update mameinfo to 4.71 (needed d2u)
- update history.dat to 0.67
- fixed Build Requires

* Mon Apr  7 2003 Götz Waschk <goetz@plf.zarb.org> 0.66.2-1plf
- fix mimeinfo URL
- from Guillaume Bedot:
 - update xmame to 0.66.2
 - update mameinfo to 4.64
 - update history.dat to 0.66a
 - moved menu entry to Applications/Emulators (like the frontends)

* Mon Mar 10 2003 Götz Waschk <goetz@plf.zarb.org> 0.65.1-1plf
- update mameinfo to 4.53
- update history.dat to 0.65a
- rediff patch 11
- spec fixes
- new version

* Fri Jan 24 2003 Hà Quôc-Viêt <viet@mandrakesoft.com> 0.62.2-1mdk
- new source updates.

* Fri Dec 19 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.62.1-0.4mdk
- new source updates.

* Wed Nov 20 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.61.1-1mdk
- new source updates.
- miscellaneous spec clean outs

* Thu Oct 17 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.61.1-0.pre8.1mdk
- new source updates.
- added USE_XV to the x11 targets and SOUND_SDL=1 to the SDL targets.

* Sat Sep 14 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.60.1-2mdk
- Removed svgalib dependencies.

* Tue May 07 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.60.1-1mdk
- new source update.
- MameInfo 4.01.
- fandemame history.dat 0.60 and updated URL.

* Wed Mar 27 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.59.1-1mdk
- new source update.
- MameInfo 3.91.
- fandemame history.dat 0.59d.
- sound samples added for gridlee as an example.

* Tue Feb 12 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.58.2-1mdk
- new source update.
- MameInfo 3.82.
- I haven't compiled the new xgl, because of troubles with vector games.
- switch from the old history.dat to fandemame's and updated URL.
- MAME_NET enabled by default in makefile.unix.
- XMAMEROOT set by default in makefile.unix (still dependent on TARGET though).
- xpm icons converted to png.
- the SDL target needs some additional dependencies.

* Sat Feb 02 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.57.1-4mdk
- enabled SDL & x11 modules.

* Wed Jan 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.57.1-3mdk
- new upload

* Wed Jan 09 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.57.1-2mdk
- patch to xgl from Sven Goethel for voodoo boards.

* Mon Jan 07 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.57.1-1mdk
- new source update.
- MameInfo 3.71.
- switch from official hiscores (Apr 2001) to unofficial (Dec 2001).
- switch to a new (?) source for the cheat.zip file.

* Thu Jan 03 2002 HA Quôc-Viêt <viet@mandrakesoft.com> 0.56.2-1mdk
- new source update.
- MameInfo 3.70.

* Tue Nov 27 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.56.1-2mdk
- strip now breaks upx encoded binaries ... oh well. workaround applied.

* Tue Nov 27 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.56.1-1mdk
- MameInfo 3.64.
- new source update.
- minor modification to the patch (Makefile.unix) to make it apply cleanly.
- has GLmame v0.91 (patch 22).

* Fri Oct 5 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.55.2-1mdk
- MameInfo 3.54.
- new source update.
- the glide patch for svgafx and xfx is not yet working. Disable it
  to compile the glide targets first.

* Mon Oct 1 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.55.1-3mdk
- MameInfo 3.53.
- new cheat.dat (updated on September 14th).
- removed update-menus and clean-menus for svgalib menuless target.

* Fri Sep 21 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.55.1-2mdk
- MameInfo 3.51.
- DGA support added to x11 targets.
- Decreased update-alternative priority of 68k asm core.
- removed xmame-screensaver until fixed.
- Viele danke Goetz Waschk.
- rc files updated (volume decreased to -3, SDL is no longer doubled size).

* Wed Sep 19 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.55.1-1mdk
- new source update.
- MameInfo 3.50.
- romcheck was removed from the source, so I removed it too.
- removed rc/ddonpach and rc/donpachi since their visual has been fixed.

* Mon Sep 10 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.54.2-1mdk
- new source update.
- MameInfo 3.42.
- rc files updates (samples dir, artwork dir, spool and screenshot dir).
- added romcheck and xmame-screensaver from contrib/tools.
- wrong test in %postun removed.

* Tue Aug 28 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.54.1-1mdk
- new source update.
- MameInfo 3.41.
- using "unzip -aa" to avoid a later "perl -pi -e"

* Sat Aug 25 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.53.1-2mdk
- Glide_V3 in BuildRequires for xfx.

* Thu Aug 23 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.53.1-1mdk
- new source update.
- MameInfo 3.32.

* Sat Aug 11 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b16.1-3mdk
- added link to %{_sysconfdir}/xmame/cab for xgl target.

* Sat Aug 11 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b16.1-2mdk
- cleaned spec file.
- added conditional compilation %build* flags.
- scanlines 1 in SDLrc file.
- removed X86_ASM_68000=0 otherwise both 68k and non-68k executables
  are the same.
- added Mesa-common-devel in BuildRequires (glu.h).

* Fri Aug 10 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.37b16.1-1mdk
- removed glide/X11 and glide/svgalib targets because they do not work
- source update
- cps2 patch update

* Thu Jun 28 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.37b15.1-3mdk
- added glide/X11     target (xfx)
- added glide/svgalib target (svgafx)
- cps2 updated to revision 20010627
- not released because the glide targets do not work properly

* Mon Jun 25 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.37b15.1-2mdk
- added the Stijn Hoop's cps2mame patch, with Sarayan' blessing (Dan Beimborn)
- mameinfo.dat version 3.15.
- xmame-SDLrc is ok now
- binaries are compressed with upx to save space on the hard drive
- FIX cab files are now in the xgl target
- BUG the latest package installed does not automatically become the prefered
  alternative
- BUG the xgl target does not work on all cards, it depends upon the glx support
- TODO svga, xgl, x11 and xmame rc files are not final yet
- TODO one day, I might move x11 specific binaries to /usr/X11R6/bin

* Wed Jun 06 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.37b15.1-1mdk
- updated to version 0.37b15.1.
- mameinfo.dat version 3.13.
- cosmetic mods to the spec (menu section).
- transparent icons added for menus.
- configuration files moved to /etc/xmame/* per request from rpmlint
- multi-binary rpm splitted into multiple single-binary rpms :o)
- added opengl and svgalib binaries.
- 68k asm has been moved to a separate binary because some games do not work
  well with it (rayforce).
- setuid root the binaries for DGA and svgalib binaries
- two FREE roms added as default games
- added the mame hiscore.dat revision 7
- BUG the latest package installed does not automatically become the prefered
  alternative
- BUG the xgl target does not work, I am still struggling to know why
- TODO rc files are not final yet
- TODO one day, I might create a separate xmame-base to gather the doc,
  hiscore, etc
- TODO one day, I might move x11 specific binaries to /usr/X11R6/bin

* Mon May 07 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b13.2-1mdk
- updated to version 0.37b13.2.

* Sat Mar 31 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b12.1-1mdk
- updated to version 0.37b12.1.
- removed patch14.

* Fri Mar 30 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b11.2-4mdk
- rebuild because .src.rpm were discarded.

* Mon Mar 12 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b11.2-3mdk
- rebuild with latest gcc-2.96-0.41mdk.

- added patch for rollrace support (imported from 0.37b12[dos]).
* Sat Feb 24 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b11.2-2mdk
- added patch for rollrace support (imported from 0.37b12[dos]).

* Fri Feb 23 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b11.2-1mdk
- updated to version 0.37b11.2.
- cleaned spec file.
- mameinfo.dat version 2.81.

* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.37b4.1-3mdk
- more macros.
- menu.

* Wed Aug 30 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b4.1-2mdk
- use of %%{_mandir}.
- updated cheat file.

* Tue Aug 29 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.37b4.1-1mdk
- updated to new release.
- removed SDL, svgalib version.
- removed xmess.

* Wed May 17 2000 Pixel <pixel@mandrakesoft.com> 0.36.1-3mdk
- add exclusivearch x86.

* Wed May 04 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.36.1-2mdk
- updated URL.
- added history.dat
- removed esound support (does not worked)
- fixed optimization flags causing seg faults.
- removed bzip2 man pages (now handled by spec_helper).

* Wed Apr 19 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.36.1-1mdk
- fixed group
- updated version
- added new cheat.dat

* Thu Mar 16 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com>
  [0.36rc1.1-1mdk]
- updated to newer version.
- added SDL binaries.

* Fri Feb 18 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com>
  [0.36b15.2-3mdk]
- fixed %doc dir in spec file.

* Mon Feb 07 2000 Giuseppe Ghibò <ghibo@linux-mandrake.com>
  [0.36b15.2-2mdk]
- added xmess.

* Fri Feb 04 2000 Giuseppe Ghibò <ghibo@linux-mandrake.com>
  [0.36b15.2-1mdk]
- updated to new version.
- cleaned the SPEC file.

* Sat Jul 24 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
  [0.35.3-1mdk]
- mandrake adaptions
- removed suid.
- added and fixed mamex script from contrib.

* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [0.35b12.1-1]
- added history.dat to %doc section
- network support currently broken, so xmame is compiled without it

* Wed Feb 03 1999 Arne Coucheron <arneco@online.no>
  [0.35b2.1-1]
- removed changes in xmamerc regarding joystick support, fixed in sources

* Tue Jan 12 1999 Arne Coucheron <arneco@online.no>
  [0.35b1.1-1]

* Sat Jan 09 1999 Arne Coucheron <arneco@online.no>
  [0.34.2-1]
- changed xmamerc regarding joystick support

* Tue Jan 05 1999 Arne Coucheron <arneco@online.no>
  [0.34.1-1]
- those getting the : undefined symbol: __deregister_frame_info
  error message when running xmame, need to either rebuild it from the src.rpm
  or upgrade to the XFree86 v3.3.3 rpm package provided by Red Hat

* Sun Dec 20 1998 Arne Coucheron <arneco@online.no>
  [0.34rc1.1-1]

* Sat Dec 12 1998 Arne Coucheron <arneco@online.no>
  [0.34b8.1-1]
- the DGA and X11 version are now built into the same binary
- changed Source and URL tag

* Sun Nov 15 1998 Arne Coucheron <arneco@online.no>
  [0.34b7.1-1]
- no changes in spec file

* Tue Nov 10 1998 Arne Coucheron <arneco@online.no>
  [0.34b6.1-1]
- added URL: tag
- added compiling of multiplayer support for all display targets

* Thu Oct 22 1998 Arne Coucheron <arneco@online.no>
  [0.34b5.2-1]
- compiling with multiplayer support
- compiling and installing the OpenGL version
- installing CHEAT.DAT
- using assembler 68k engine during compile

* Mon Oct 19 1998 Arne Coucheron <arneco@online.no>
  [0.34b3.1-1]
- using %%{name} and %%{version} macros
- using %defattr
- using OPTFLAGS="$RPM_OPT_FLAGS" for optimization
- added -q parameter to %setup
- dropped i386.makefile patch, implemented it in spec file instead
- to comply better with Red Hat standard, moved rom directory to
  /usr/lib/games/xmame and highscore directory to /var/lib/games/xmame
- various cleanups in spec file

* Mon Aug 24 1998 Jeff Breidenbach <jeff@jab.org>
- RPM builds on linux for alpha,powerpc,i386 (only i386 tested)
- added xmame.svga, xmame.xf86_dga when appropriate
- redid patches to reflect new changes in makefile

* Sun Aug 23 1998 Jeff Breidenbach <jeff@jab.org>
- enabled i386 assembly code when appropriate

* Sat Aug 1 1998 Jeff Breidenbach <jeff@jab.org>
- separated i386 portion of makefile patch into separate file
  so that it might be reasonable to build this rpm on
  a non-i386 linux box. (untested)
- minor tweaks to spec file and i386 patch.
- updated version of xmame.

* Wed Jun 10 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- Made changes to the spec file mainly in the document
  structure.
- Made changes to the xmamerc patch.  Enabled sound if
  available.

* Tue Jun 9 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- Made some rpm fixes.
- Fixed xmamerc.

* Mon Jun 8 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- built and tested package.
- Relocated xmamerc, high scores, and roms directory into
  /usr/lib/xmame.  All roms rpm I make will install into
  /usr/lib/xmame/roms.
